<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4014
Name: Eingebettetes Objekt Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4014-2014-08-25T000000">
   <title>Eingebettetes Objekt Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4014
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]
Item: (EingebettetesObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]"
         id="tmp-r-0bc0b3a1-e3c5-4aba-9056-1cade73abcc4">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014'])&gt;=1 ">(EingebettetesObjektEntry): Element hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014'])&lt;=1">(EingebettetesObjektEntry): Element hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4014
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']
Item: (EingebettetesObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']"
         id="tmp-r-d052b01c-01fe-4dd8-9225-ea2c22065845">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="string(@classCode)=('OBS')">(EingebettetesObjektEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="string(@moodCode)=('EVN')">(EingebettetesObjektEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4014'])&gt;=1 ">(EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4014'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4014'])&lt;=1">(EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4014'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(EingebettetesObjektEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:value)&lt;=1">(EingebettetesObjektEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4014
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']/hl7:templateId[@root='1.2.276.0.76.10.4014']
Item: (EingebettetesObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']/hl7:templateId[@root='1.2.276.0.76.10.4014']"
         id="tmp-r-b62fff20-4e9d-47bc-b430-b42d03b7ca79">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4014')">(EingebettetesObjektEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4014' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4014
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']/hl7:value
Item: (EingebettetesObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']/hl7:value"
         id="tmp-r-9170e739-3347-4df9-97cd-2f42ab70c000">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="@mediaType">(EingebettetesObjektEntry): Attribut @mediaType MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@mediaType),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.276.0.76.11.14-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="not(@mediaType) or count($theAttValue) = count($theAttCheck)">(EingebettetesObjektEntry): Der Wert von mediaType MUSS gewählt werden aus Value Set '1.2.276.0.76.11.14' Medientypen (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="string(@representation)=('B64')">(EingebettetesObjektEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="count(hl7:reference)&lt;=1">(EingebettetesObjektEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4014
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']/hl7:value/hl7:reference
Item: (EingebettetesObjektEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]/hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']/hl7:value/hl7:reference"
         id="tmp-r-ab5e79c4-e136-44dc-a4f9-7763163493b5">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.4014-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
</pattern>
