<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3012
Name: Verabreichte Impfungen
Description: Verabreichte Impfungen und ausdrücklich nicht erwünschten Impfungen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3012-2013-07-15T000000">
   <title>Verabreichte Impfungen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]
Item: (Immunizationssection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']"
         id="tmp-r-8d32c52a-8136-4f7a-b4ff-e5585615332d">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3012'])&gt;=1 ">(Immunizationssection): Element hl7:templateId[@root='1.2.276.0.76.10.3012'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3012'])&lt;=1">(Immunizationssection): Element hl7:templateId[@root='1.2.276.0.76.10.3012'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Immunizationssection): Element hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Immunizationssection): Element hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Immunizationssection): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:title)&lt;=1">(Immunizationssection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Immunizationssection): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:text)&lt;=1">(Immunizationssection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:templateId[@root='1.2.276.0.76.10.3012']
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:templateId[@root='1.2.276.0.76.10.3012']"
         id="tmp-r-f15f95f4-58d9-4276-ad72-6784b6b9b786">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3012')">(Immunizationssection): Der Wert von @root MUSS '1.2.276.0.76.10.3012' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f9836dd9-a820-4b3e-9abf-6a7ee1d8a60f">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="@nullFlavor or (@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')">(Immunizationssection): Der Elementinhalt MUSS einer von 'code '11369-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:title
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:title"
         id="tmp-r-727568d3-20c8-4a8f-b725-b7326f7957b3">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="text()='Angaben zu Impfungen'">(Immunizationssection): Der Elementinhalt von 'hl7:title' MUSS ''Angaben zu Impfungen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:text
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3012']/hl7:text"
         id="tmp-r-afd43668-22cb-46b0-948a-a1961646c0a1">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
